﻿.news-box{
    width: 100%;
    display: block;
    position: relative;
    margin-top: 111px;
    min-height: calc(100vh - 111px);
    box-sizing: border-box;
    padding: 110px 0;
    overflow: hidden;
}
.news-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.news-title-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding-bottom: 100px;
}
.news-title-box h2>p{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 46px;
    color: #000;
    letter-spacing: 0.4em;
    line-height: 32px;
}
.news-title-box h2>span{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 24px;
    margin-top: 30px;
    display: block;
}


.news-info-box{
    width: 100%;
    display: block;
}
.news-info{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    border-bottom: 1px solid #d1d1d1;
    transition: all .3s ease;
}
.news-info-date{
    width: 200px;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    font-size: 16px;
    font-family: 'Roboto';
    color: #000;
    letter-spacing: 0.06em;
    line-height: 100px;
    transition: all .3s ease;
}
.news-info-text{
    width: calc(100% - 200px);
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: all .3s ease;
    box-sizing: border-box;
    padding: 0 50px
}
.news-loading-box{
    width: 100%;
    display: block;
    position: relative;
    text-align: center;
    margin-top: 80px;
}
.news-loading-box i{
    font-size: 36px;
    color: #366694;
    animation: loading_run .6s linear 0s infinite ;
}

@keyframes loading_run {
    0%{
        transform: rotateZ(0deg);
    }
    to {
        transform: rotateZ(360deg);
    }
}

.news-info:hover{
    background-color: #366694;
}
.news-info:hover .news-info-date,
.news-info:hover .news-info-text{
    color: #fff;
}


/* news-page */
.news-page-title-box{
    width: 100%;
    display: block;
}
.news-page-date-box{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 36px;
    margin-bottom: 10px;
}
.news-page-date-box span{
    font-weight: 700;
    color: #366694;
    margin-right: 5px;
}
.news-page-title-box h2{
    font-family: 'Noto Sans TC';
    font-size: 24px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 36px;
    display: block;
}
.news-page-edit-box{
    width: 100%;
    display: block;
    position: relative;
    font-size: 18px;
    font-family: 'Noto Sans TC';
    color: #666;
    letter-spacing: 0.06em;
    line-height: 2;
    box-sizing: border-box;
    padding: 50px 0;
}
.news-page-edit-box *{
    font-weight: 300;
}
.news-page-back-box{
    display: inline-block;
}
.news-page-back-box span{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    width: 41px;
    height: 1px;
    background-color: #366694;
}
.news-page-back-box span::before{
    content: '';
    width: 6px;
    height: 6px;
    background-color: #366694;
    position: absolute;
    top: -3px;
    left: 0;
    transform: rotateZ(-45deg);
}
.news-page-back-box span::after{
    content: '';
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: #366694;
    position: absolute;
    top: -2px;
    right: 0;
}
.news-page-back-box p{
    font-family: 'roboto';
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 30px;
    display: inline-block;
    vertical-align: middle;
    margin-left: 10px;
}


@media only screen and (max-width: 1200px){
    .news-all-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .news-box{
        margin-top: 79px;
        min-height: calc(100vh - 79px);
        padding: 80px 0;
    }
    .news-all-box{
        width: 95%;
    }
    .news-title-box{
        padding-bottom: 70px;
    }
    .news-info-date{
        width: 160px;
        line-height: 80px;
    }
    .news-info-text{
        width: calc(100% - 160px);
        line-height: 80px;
        padding: 0 40px;
    }
    .news-title-box h2>p{
        font-size: 36px;
    }
    .news-title-box h2>span{
        margin-top: 10px;
    }
}
@media only screen and (max-width: 768px){
    .news-box{
        padding: 40px 0;
    }
    .news-title-box{
        padding-bottom: 30px;
    }
    .news-info-date{
        width: 140px;
        line-height: 60px;
    }
    .news-info-text{
        width: calc(100% - 140px);
        line-height: 60px;
        padding: 0 30px;
    }
    .news-title-box h2>p{
        font-size: 26px;
        line-height: 26px;
        letter-spacing: 0.2em;
    }
    .news-title-box h2>span{
        font-size: 16px;
        line-height: 20px;
    }
}
@media only screen and (max-width: 550px){
    .news-box{
        margin-top: 67px;
        min-height: calc(100vh - 67px);
        padding: 20px 0;
    }
    .news-title-box{
        padding-bottom: 10px;
    }
    .news-info-date{
        width: 90px;
        line-height: 40px;
        font-size: 14px;
    }
    .news-info-text{
        width: calc(100% - 90px);
        line-height: 40px;
        padding: 0 20px;
        font-size: 14px;
    }
    .news-title-box h2>p{
        font-size: 18px;
        line-height: 22px;
        letter-spacing: 0.1em;
    }
    .news-title-box h2>span{
        font-size: 12px;
        line-height: 16px;
        margin-top: 0;
    }

    .news-page-date-box{
        font-size: 12px;
    }
    .news-page-title-box h2{
        font-size: 18px;
    }
    .news-page-edit-box{
        font-size: 14px;
        padding: 20px 0;
    }
}
@media only screen and (max-width: 400px){
    .news-info-date{
        width: 100%;
        text-align-last: left;
        display: block;
        line-height: 1;
    }
    .news-info-text{
        width: 100%;
        display: block;
        line-height: 2;
        padding: 0;
    }
    .news-info{
        padding: 10px 0;
    }
}


@media only screen and (min-width: 1001px){
    .news-info,
    .news-page-back-box{
        opacity: 0;
    }
    .news-title-box h2>p{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .news-title-box h2>span{
        animation: fade 1s ease .2s 1 both;
    }
    .news-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .news-page-date-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .news-page-title-box h2{
        animation: fadeInRight 1s ease .2s 1 both;
    }
    .news-page-edit-box{
        animation: fadeInUp 1s ease .4s 1 both;
    }
    .news-page-back-box.anima{
        animation: fade 1s ease 0s 1 both;
    }

    .news-page-back-box span::after,
    .news-page-back-box p{
        transition: all .3s linear;
    }
    .news-page-back-box:hover span::after{
        right: calc(100% - 7px);
        border-radius: 0;
        transform: rotateZ(-45deg);
        top: -2px;
        width: 4px;
        height: 4px;
        background-color: #fff;
    }
    .news-page-back-box:hover p{
        color: #366694;
    }
}